aboutsummaryrefslogtreecommitdiff
path: root/t/t3700-add.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t3700-add.sh')
-rwxr-xr-xt/t3700-add.sh70
1 files changed, 35 insertions, 35 deletions
diff --git a/t/t3700-add.sh b/t/t3700-add.sh
index e6466d74a..b52fde857 100755
--- a/t/t3700-add.sh
+++ b/t/t3700-add.sh
@@ -3,72 +3,72 @@
# Copyright (c) 2006 Carl D. Worth
#
-test_description='Test of git-add, including the -- option.'
+test_description='Test of git add, including the -- option.'
. ./test-lib.sh
test_expect_success \
- 'Test of git-add' \
- 'touch foo && git-add foo'
+ 'Test of git add' \
+ 'touch foo && git add foo'
test_expect_success \
'Post-check that foo is in the index' \
- 'git-ls-files foo | grep foo'
+ 'git ls-files foo | grep foo'
test_expect_success \
- 'Test that "git-add -- -q" works' \
- 'touch -- -q && git-add -- -q'
+ 'Test that "git add -- -q" works' \
+ 'touch -- -q && git add -- -q'
test_expect_success \
- 'git-add: Test that executable bit is not used if core.filemode=0' \
+ 'git add: Test that executable bit is not used if core.filemode=0' \
'git config core.filemode 0 &&
echo foo >xfoo1 &&
chmod 755 xfoo1 &&
- git-add xfoo1 &&
- case "`git-ls-files --stage xfoo1`" in
+ git add xfoo1 &&
+ case "`git ls-files --stage xfoo1`" in
100644" "*xfoo1) echo ok;;
- *) echo fail; git-ls-files --stage xfoo1; (exit 1);;
+ *) echo fail; git ls-files --stage xfoo1; (exit 1);;
esac'
-test_expect_success 'git-add: filemode=0 should not get confused by symlink' '
+test_expect_success 'git add: filemode=0 should not get confused by symlink' '
rm -f xfoo1 &&
ln -s foo xfoo1 &&
- git-add xfoo1 &&
- case "`git-ls-files --stage xfoo1`" in
+ git add xfoo1 &&
+ case "`git ls-files --stage xfoo1`" in
120000" "*xfoo1) echo ok;;
- *) echo fail; git-ls-files --stage xfoo1; (exit 1);;
+ *) echo fail; git ls-files --stage xfoo1; (exit 1);;
esac
'
test_expect_success \
- 'git-update-index --add: Test that executable bit is not used...' \
+ 'git update-index --add: Test that executable bit is not used...' \
'git config core.filemode 0 &&
echo foo >xfoo2 &&
chmod 755 xfoo2 &&
- git-update-index --add xfoo2 &&
- case "`git-ls-files --stage xfoo2`" in
+ git update-index --add xfoo2 &&
+ case "`git ls-files --stage xfoo2`" in
100644" "*xfoo2) echo ok;;
- *) echo fail; git-ls-files --stage xfoo2; (exit 1);;
+ *) echo fail; git ls-files --stage xfoo2; (exit 1);;
esac'
-test_expect_success 'git-add: filemode=0 should not get confused by symlink' '
+test_expect_success 'git add: filemode=0 should not get confused by symlink' '
rm -f xfoo2 &&
ln -s foo xfoo2 &&
git update-index --add xfoo2 &&
- case "`git-ls-files --stage xfoo2`" in
+ case "`git ls-files --stage xfoo2`" in
120000" "*xfoo2) echo ok;;
- *) echo fail; git-ls-files --stage xfoo2; (exit 1);;
+ *) echo fail; git ls-files --stage xfoo2; (exit 1);;
esac
'
test_expect_success \
- 'git-update-index --add: Test that executable bit is not used...' \
+ 'git update-index --add: Test that executable bit is not used...' \
'git config core.filemode 0 &&
ln -s xfoo2 xfoo3 &&
- git-update-index --add xfoo3 &&
- case "`git-ls-files --stage xfoo3`" in
+ git update-index --add xfoo3 &&
+ case "`git ls-files --stage xfoo3`" in
120000" "*xfoo3) echo ok;;
- *) echo fail; git-ls-files --stage xfoo3; (exit 1);;
+ *) echo fail; git ls-files --stage xfoo3; (exit 1);;
esac'
test_expect_success '.gitignore test setup' '
@@ -80,28 +80,28 @@ test_expect_success '.gitignore test setup' '
'
test_expect_success '.gitignore is honored' '
- git-add . &&
- ! git-ls-files | grep "\\.ig"
+ git add . &&
+ ! git ls-files | grep "\\.ig"
'
test_expect_success 'error out when attempting to add ignored ones without -f' '
- ! git-add a.?? &&
- ! git-ls-files | grep "\\.ig"
+ ! git add a.?? &&
+ ! git ls-files | grep "\\.ig"
'
test_expect_success 'error out when attempting to add ignored ones without -f' '
- ! git-add d.?? &&
- ! git-ls-files | grep "\\.ig"
+ ! git add d.?? &&
+ ! git ls-files | grep "\\.ig"
'
test_expect_success 'add ignored ones with -f' '
- git-add -f a.?? &&
- git-ls-files --error-unmatch a.ig
+ git add -f a.?? &&
+ git ls-files --error-unmatch a.ig
'
test_expect_success 'add ignored ones with -f' '
- git-add -f d.??/* &&
- git-ls-files --error-unmatch d.ig/d.if d.ig/d.ig
+ git add -f d.??/* &&
+ git ls-files --error-unmatch d.ig/d.if d.ig/d.ig
'
mkdir 1 1/2 1/3